Release MW 1.24.2 and 1.23.9 tarballs
Closed, ResolvedPublic

Description

We are delaying the release until after we have fully responded to a recent security audit of MediaWiki by a third-party. This should be completed by next week so the release(s) should happen next week as well (week of Feb 2nd).

(That is the blocking task for those unable to view it: a tracking task for the things found in the security audit.)

greg created this task.Jan 30 2015, 4:23 PM
greg updated the task description. (Show Details)
greg raised the priority of this task from to High.
greg assigned this task to csteipp.
greg added a project: Release-Engineering-Team.
greg added subscribers: greg, demon, Reedy.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2015, 4:23 PM
greg updated the task description. (Show Details)Jan 30 2015, 6:04 PM
greg set Security to None.
Florian added a subscriber: Florian.Feb 2 2015, 8:00 AM
Aklapper renamed this task from Release MW 1.24.2 and 1.23.9 to Release MW 1.24.2 and 1.23.9 tarballs.Feb 2 2015, 9:55 PM
Prod added a subscriber: Prod.Feb 12 2015, 10:54 PM

We're now beginning the second week since the week of February 2nd, and there still has not been a release.

What's the status of this?

We're now beginning the second week since the week of February 2nd, and there still has not been a release.

What's the status of this?

The issues are taking a little more time than expected. I can't give an exact date at this point.

We're now beginning the second week since the week of February 2nd, and there still has not been a release.

What's the status of this?

The issues are taking a little more time than expected. I can't give an exact date at this point.

Have the tarballs in question already been rolled and will be recalled, or have they yet to be rolled? Will these version numbers continue to be valid for the next release, or will they be skipped? How will this affect the schedule for following releases (e.g. next week's scheduled release)?

greg added a comment.Feb 18 2015, 1:40 AM

We're now beginning the second week since the week of February 2nd, and there still has not been a release.

What's the status of this?

The issues are taking a little more time than expected. I can't give an exact date at this point.

Have the tarballs in question already been rolled and will be recalled, or have they yet to be rolled?

Yet to be created.

Will these version numbers continue to be valid for the next release, or will they be skipped?

No numbers will be skipped.

How will this affect the schedule for following releases (e.g. next week's scheduled release)?

Replace. In other words, the January release effectively was skipped. We won't be doing more than one release a month.

scfc added a subscriber: scfc.Mar 26 2015, 11:40 PM
Jjanes added a subscriber: Jjanes.Mar 28 2015, 10:29 PM
greg closed this task as Resolved.Apr 1 2015, 2:51 PM

Yep!

greg moved this task from To Triage to Done on the Release-Engineering-Team board.Apr 3 2015, 4:11 PM